require File.expand_path('search', File.dirname(__FILE__))
# stub solr with "dara" array for testing.
# if there is no data then it will behave like default blank search
# this stub uses Kaminari for pagination
# once the data is given, solr search block will call search
# and that will create a new Search with arguments.
# With the search, it passes the given data as @operation_context.
# And "run_proc_block" method will go through each search conditions
# in the block. while going through the block, it will change @operation_context
#
class Sunspot::Rails::StubSessionProxy
  attr_reader :block, :data, :range_fields

  def initialize(original_session, data = [])
    @original_session = original_session
    @data = data
    @range_fields = %w[time month created_at start end]
  end

  def set_range_fields(arr)
    @range_fields = arr
  end

  def search(*types, &block)
    Search.new(@data, types, &block)
  end
end
